build error: "cc1: error: invalid option `b'"

Robert P. J. Day rpjday@mindspring.com
Wed Sep 7 14:57:00 GMT 2005


On Wed, 7 Sep 2005, Dan Kegel wrote:

> Robert P. J. Day wrote:
> >+ make ARCH=sh prepare include/linux/version.h
> > ..
> >   CC      scripts/mod/empty.o
> > cc1: error: invalid option `b'
> > cc1: error: invalid option `3'
>
>
> Rule #1 when using crosstool: read the comments in the script:
>
> case "$KERNEL_VERSION.$KERNEL_PATCHLEVEL.x" in
> 2.2.x|2.4.x) make ARCH=$ARCH symlinks    include/linux/version.h
>              ;;
> 2.6.x)       case $ARCH in
>              sh*)        # sh does secret stuff in 'make prepare' that can't
> be triggered separately,
>                          # but happily, it doesn't use target gcc, so we can
> use it.
>                          # Update: this fails on 2.6.11, as it installs
> elfconfig.h, which requires target compiler :-(
>                          make ARCH=$ARCH prepare include/linux/version.h
>
> I haven't figured out how to cross-compile 2.6.x for x > 10 for sh,
> but then I haven't tried very hard.

well, i'm about to.  i'll keep you posted.

rday

p.s.  it's clear that there are significant enough changes in the
kernel structure that previous builds won't work, so there's
definitely some upgrading to do.

------
Want more information?  See the CrossGCC FAQ, http://www.objsw.com/CrossGCC/
Want to unsubscribe? Send a note to crossgcc-unsubscribe@sources.redhat.com



More information about the crossgcc mailing list